Draft Text/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 11: Line 11:
}}
}}
</div>
</div>

==Description==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 24: Line 26:


'''Warning:''' The texts created with [[Release notes 0.18 |version 0.18]] are not backward compatible, so backup your work if you try to open files created with 0.18 with older versions.
'''Warning:''' The texts created with [[Release notes 0.18 |version 0.18]] are not backward compatible, so backup your work if you try to open files created with 0.18 with older versions.

==Usage==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 122: Line 126:
{{Docnav|[[Draft_Rectangle|Rectangle]]|[[Draft_Dimension|Dimension]]|[[Draft_Module|Draft]]|IconL=Draft_Rectangle.svg |IconC=Workbench_Draft.svg|IconR=Draft_Dimension.svg }}
{{Docnav|[[Draft_Rectangle|Rectangle]]|[[Draft_Dimension|Dimension]]|[[Draft_Module|Draft]]|IconL=Draft_Rectangle.svg |IconC=Workbench_Draft.svg|IconR=Draft_Dimension.svg }}


{{Draft Tools navi}}
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

{{Userdocnavi}}

{{clear}}
{{clear}}

Revision as of 21:36, 21 February 2020

Текст

Системное название
Draft Text
Расположение в меню
Черчение → Текст
Верстаки
Черчение, Архитектура
Быстрые клавиши
T E
Представлено в версии
-
См. также
Нет

Description

Описание

Инструмент Текст позволяет добавить в документ текстовую область в указанную точку. Инструмент использует предварительно выбранный размер и цвет текста во вкладке Задачи.

Alternatively: To create a text label with a leader and an arrow use Draft Label. To create solid text or 3D letters use Draft ShapeString with Part Extrude.

Warning: The texts created with version 0.18 are not backward compatible, so backup your work if you try to open files created with 0.18 with older versions.

Usage

Использование

  1. Нажмите кнопку Текст, или нажмите клавишу T, а затемE
  2. Укажите точку на трёхмерном виде или задайте координаты
  3. Введите желаемый текст нажимая ENTER между каждыми строками
  4. Дважды нажмите ENTER для завершения.

Параметры

  • CTRL будет привязывать точку по возможным привязкам.
  • Для указания координат вручную, введите число и нажимайте ENTER для перехода между координатами X, Y и Z.
  • ESC приведёт к отмене операции.
  • При редактировании текста, нажатие ENTER или DOWN ARROW позволяет ввести или изменить следующую строку текста.
  • UP ARROW позволяет редактировать предыдущую строку текста.
  • Двойное нажатие ENTER (т.е. оставить последнюю строку пустой) добавляет текст в документ и закрывает редактор текста.

Свойства

  • ДанныеПоложение: базовая точка текстового блока.
  • ДанныеТекст: содержимое текстового блока.
  • ВидРежим отображения: ориентация текста по осям сцены или на камеру.
  • ВидРазмер шрифта: размер символов текста.
  • ВидВыравнивание: выравнивание текста налево, направо или по центру от базовой точки.
  • ВидМежстрочное расстояние: расстояние между строк текста.
  • ВидПоворот: поворот текста.
  • ВидОсь поворота: используемая для поворота ось.
  • ВидШрифт: шрифт для отображения текста, может быть название шрифта, например "Arial", название стиля, например, "sans", "serif" или "mono", название семейства, например, "Arial,Helvetica,sans", или название со стилем, например "Arial:Bold". Если указанный шрифт не найден в системе, то будет использован основной.

Data

  • ДанныеText: specifies the contents of the text block as a list of strings; each element on the list, separated by a comma, indicates a new line.
  • ДанныеPosition: specifies the base point of the first line of the text block.
  • ДанныеAngle: specifies the rotation of the baseline of the first line of the text block.
  • ДанныеAxis: specifies the axis to use for the rotation.

View

  • ВидDisplay Mode: if it is "3D text" the text will be aligned to the scene axes, initially lying on the XY plane; if it is "2D text" the text will always face the camera.
  • ВидFont Name: specifies the font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
  • ВидFont Size: specifies the size of the letters. If the text object is created in the tree view but no text is visible, increase the size of the text until it is visible.
  • ВидJustification: specifies if the text aligns to the left, right or at the center of the base point.
  • ВидLine Spacing: specifies the space between lines of text.

Сценарии

Инструмент Текст может быть использован в макросах и из консоли Python следующими функциями:

The Text tool can be used in macros and from the Python console by using the following function:

Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
  • Создать текстовый объект в указанной точке, если задан вектор, содержащий строку или строки заданные в виде списка.
  • Используется текущий цвет, высота и шрифт текста из настроек.
  • Если значение screenmode True, текст всегда ориентируется в направлении вида, иначе — в плоскости XY.
  • Возвращает новый созданный объект.

The placement of the Text can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

The view properties of Text can be changed by overwriting its attributes; for example, overwrite ViewObject.FontSize with the new size in millimeters.

Пример:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
t1 = "This is a sample text"

p2 = FreeCAD.Vector(1000, 1000, 0)
t2 = ["First line", "second line"]

Text1 = Draft.makeText(t1, point=p1)
Text2 = Draft.makeText(t2, point=p2)
Text1.ViewObject.FontSize = 200
Text2.ViewObject.FontSize = 200

p3 = FreeCAD.Vector(-1000, -500, 0)
t3 = ["Upside", "down"]

Text3 = Draft.makeText(t3, point=p3)
Text3.ViewObject.FontSize = 200

ZAxis = FreeCAD.Vector(0, 0, 1)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 175))
Text3.Placement = place3

Text4 = Draft.makeText(t3, point=p3)
Text4.ViewObject.FontSize = 200
Text4.Placement.Rotation = FreeCAD.Rotation(ZAxis, -30)